<template>
  <div class="contract-right-panel">
    <div class="top-block">
      <template v-if="isStatus">
        <template v-if="isDraft || !isStatus">
          <transition-group mode="out-in" name="toggle-height">
            <div v-if="isAllValidate" :key="1">
              <div class="top-block__all-validate">
                <i class="icon double-checked" />
                <span>
                  Все разделы готовы.
                  <br />
                  Договор можно отправлять на подпись
                </span>
              </div>
            </div>
            <div v-else-if="currentValidateAll" :key="2">
              <div class="text">Все необходимые данные в этом разделе заполнены.</div>
              <div
                class="text"
              >Для того, чтобы отправить договор на подпись, заполните все необходимые данные во всех разделах.</div>
            </div>
            <div v-else-if="!currentValidateAll" :key="3">
              <transition-group name="toggle-height">
                <!--                Исправить key, вставить независимое от индекса уникальное значение-->
                <div
                  v-for="(item) in currentValidate"
                  v-show="!item.isHidden"
                  :key="item.label"
                  class="top-block__validate-row"
                >
                  <ob-validate-state
                    :is-valid="item.isValid"
                    :description="item.label"
                    />
                </div>
              </transition-group>
            </div>
          </transition-group>
        </template>
        <template v-else>
          <template v-if="isSigned">
            <span class="text">В подписанный договор нельзя вносить изменения.</span>
          </template>
          <template v-else-if="isNotCreator">
            <div class="text">Подпишите договор, чтобы начать сотрудничество.</div>
          </template>
          <template v-else>
            <div class="text">
              Вы можете отозвать договор для внесения правок до его подписания контрагентом
            </div>
          </template>
        </template>
        <div v-if="true" >
          <ob-button
            v-if="isNextTab"
            label="Далее"
            :disabled="disabledBtn"
            class="top-block__button"
            data-qa="btnNext"
            @click="onClickNext"
          />
          <ob-button
            v-if="isPrevTab"
            label="← Вернуться назад"
            type="flat"
            class="top-block__button"
            data-qa="btnPrev"
            @click="onClickPrev"
          />
        </div>
      </template>
      <div class="description">
        <i class="icon alert" />
        <span
          v-if="pathStyle==='gruzi'"
          class="text"
        >
          Электронный договор фиксирует ключевые условия и тарифы, обязательные к исполнению для участников платформы “Грузи.ру”
        </span>
        <span
          v-else
          class="text"
        >
          Электронный договор фиксирует ключевые условия и тарифы, обязательные к исполнению для участников платформы “ОБОЗ”
        </span>
      </div>
    </div>
  </div>
</template>

<script>
import ContractDetailMixin from '@/components/Contract/detail/contract-detail-mixin'
import ObValidateState from '@/components/Contract/detail/obValidateState'
import ObButton from 'common-components/src/obComponents/obButton'

export default {
  name: 'ContractDetailRightPanel',
  mixins: [ContractDetailMixin],
  components: {
    ObValidateState,
    ObButton
  },
  props: {
    tabsItems: {
      type: Array,
      default: () => []
    },
    isNextTab: {
      type: Boolean,
      default: false
    },
    isPrevTab: {
      type: Boolean,
      default: false
    },
    disabledBtn: {
      type: Boolean,
      default: false
    }
  },
  watch: {
    isAllValidate(val) {
      this.$emit('on-change-all-validate', val);
    }
  },
  computed:{
    pathStyle() {
      return window.location.host.split('gruzi').length>1 ? 'gruzi': 'oboz'
    },
  },
  methods: {
    onClickNext() {
      this.$emit('on-click-next');
    },
    onClickPrev () {
      this.$emit('on-click-prev');
    },
    onClickExit () {
      let tab;

      if (this.isSigning) {
        tab = this.isNotCreator ? 'signing' : 'signing_from';
      } else if (this.isSigned) {
        tab = 'signed';
      }
      this.$router.push({ name: 'contracts__list', query: { tab } });
    },
    printPage () {
      window.print()
    },
    CallPrint (strid) {
      let prtContent = document.getElementById(strid);
      let prtCSS = '<link rel="stylesheet" href="/templates/css/template.css" type="text/css" />';
      let WinPrint = window.open(
        '',
        '',
        'left=50,top=50,width=800,height=640,toolbar=0,scrollbars=1,status=0'
      );
      WinPrint.document.write('<div id="print" class="contentpane">');
      WinPrint.document.write(prtCSS);
      WinPrint.document.write(prtContent.innerHTML);
      WinPrint.document.write('</div>');
      WinPrint.document.close();
      WinPrint.focus();
      WinPrint.print();
      WinPrint.close();
    }
  }
};
</script>

<style lang="scss" scoped>
  .contract-right-panel {
    height: 100%;
    display: flex;
    justify-content: space-between;
    flex-direction: column;
    padding: 30px;
    .w100 {
      width: 100%;
    }
    .text {
      font-size: 12px;
      line-height: 14px;
      letter-spacing: 0.4px;
      color: $color-grey-label;
      & + .text {
        margin-top: 20px;
      }
    }
    .top-block {
      &__validate-row + .top-block__validate-row {
        margin-top: 15px;
      }
      &__button {
        width: 100%;
        margin-top: 30px;
      }
      &__button + .top-block__button {
        margin-top: 20px;
      }
      &__all-validate {
        display: flex;
        justify-content: flex-start;
        i {
          margin-top: 8px;
          font-size: 24px;
          color: $color-green-light;
        }
        span {
          display: block;
          margin-left: 16px;
          font-size: 16px;
          line-height: 20px;
          letter-spacing: 0.4px;
          color: $color-green-light;
        }
      }
      .description {
        margin-top: 40px;
        display: flex;
        justify-content: flex-start;
        position: absolute;
        bottom: 30px;
        width: 256px;
        i {
          font-size: 24px;
          color: $color-blue-navy-blue;
        }
        .text {
          display: block;
          margin-left: 14px;
          line-height: 12px;
        }
      }
    }
    .bottom-block {
      display: flex;
      height: 100%;
    }
    .control-panel {
      align-self: flex-end;
      position: sticky;
      bottom: 20px;
      right: 20px;
      width: 100%;
      height: 70px;
      display: flex;
      justify-content: space-between;
      align-items: center;
      padding: 25px 0 15px 0;
      background: linear-gradient(180deg, rgba($background-white, 0) 0%, $background-white 18.23%, $background-white 100%);
      &__delete {
        margin: 0;
        padding: 0;
        border: none;
        outline: none;
        cursor: pointer;
        background-color: transparent;
      }
    }
  }
</style>
